"""
URL configuration for core project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path
from home.views import *
from articles.views  import *
from bundles.views import *
from operators.views import *
from steps.views import *
from machineOperatorBundle.views import *
from articlegroup.views import *
from machine.views import *
from operations.views import *
from MachineBundle.views import *
from machineOperator.views import *
from skill.views import *
from login.views import *
from reporting.views import *
from previousWages.views import *

urlpatterns = [
    path('admin/', admin.site.urls),
    path('',login_page,name="login_page"),
    path('sign_up/',signup_page,name="signup_page"),
    path('logout/',logout_page,name="logout_page"),
    path('home/', home, name='home'),
    path('forget/', forget, name='forget'),
    path('forget_password_verify/', forget_password_verify, name='forget_password_verify'),
    path('change_password/', change_password, name='change_password'),
    path('verify/',email_verify,name="email_verify"),
    path('resend/',resend,name="resend"),


    path('filterArticleReporting/',filterArticleReporting,name="filterArticleReporting"),

    path('bundledata/',getbundlebyGroup,name="getbundlebyGroup"),
    path('bundlestate/',bundleState,name="bundleState"),
    path('operatorstate/',OperatorState,name="OperatorState"),
    path('operatorsHourly/',operatorsHourly,name="operatorsHourly"),
    path('machinestate/',MachineState,name="MachineState"),
    path('getreporting/',get_reporting,name="get_reporting"),
    path('previouWagesPage/',previouWagesPage,name="previouWagesPage"),


    path('dashboard/',index,name="index"),
    path('getmachineReporting/',getmachineReporting,name="getmachineReporting"),
    path('reporting_result/',reporting_result,name="reporting_result"),
    path('filterArticleData/',filterArticleData,name="filterArticleData"),
     path('filterOperatorData/',filterOperatorData,name="filterOperatorData"),
    path('Get_bundle_status/',Get_bundle_status,name="Get_bundle_status"),
    path('getoperatorReporting/',getoperatorReporting,name="getoperatorReporting"),
    path('bundleinfo/',bundle_details,name="bundle_details"),
    path('operatorinfo/',operator_details,name="operator_details"),
    path('machineinfo/',machine_details,name="machine_details"),
    path('articleinfo/',article_details,name="article_details"),
    path('Get_operators_report/',Get_operators_report,name="Get_operators_report"),
    
    path('Get_production_report/',Get_production_report,name="Get_production_report"),

    path('article/',article_page, name="article_page"),
    path('getoperations/',Get_opeartions, name="Get_opeartions"), 
    path('AddArticle_data/',Add_article_data, name="Add_article_data"), 
    path('EditArticle/<str:id>',Edit_Article, name="Edit_Article"),  
    path('deleteArticle/<str:id>', delete_Article,name='delete_Article'),
    path('bundle/',bundle_page, name="bundle_page"),  
    path('AddBundle/',Add_bundle, name="Add_bundle"),
    path('EditBundle/<str:id>',Edit_Bundles, name="Edit_Bundles"), 
    path('deleteBundle/<str:id>', delete_Bundle,name='delete_Bundle'),
    path('operator/',operator_page, name="operator_page"),  
    path('AddOperator/',Add_operator, name="Add_operator"),
    path('EditOperator/<str:id>',Edit_Operator, name="Edit_Operator"), 
    path('deleteOperator/<str:id>', delete_Operator,name='delete_Operator'),
    path('steps/',step_page, name="step_page"),  
    path('groupstep/',getgroupstep, name="getgroupstep"),
    path('StepsbyGroups/',getStepsbyGroups, name="getStepsbyGroups"),
    path('AddSteps/',Add_Step, name="Add_Step"),
    path('EditSteps/<str:id>',Edit_Steps, name="Edit_Steps"), 
    path('deleteSteps/<str:id>', delete_Steps,name='delete_Steps'),
    path('machine/',machine_page, name="machine_page"),  
    path('AddMachine/',Add_Machine, name="Add_Machine"),
    path('EditMachine/<str:id>',Edit_Machine, name="Edit_Machine"), 
    path('DeleteMachine/<str:id>', delete_Machine,name='delete_Machine'),
    path('MachineOperatorBundle/',MoperatorBundle_page, name="MoperatorBundle_page"), 
    path('tag_id/',get_tag_id, name="get_tag_id"),  
    path('tag_id_operator/',tag_id_operator, name="tag_id_operator"), 
    path('article_group/',articlegroup_page, name="articlegroup_page"),  
    path('AddArticleGroup/',Add_ArticleGroup, name="Add_ArticleGroup"),
    path('EditArticleGroup/<str:id>',Edit_Article_group, name="Edit_Article_group"), 
    path('deleteArticleGroup/<str:id>', delete_Article_group,name='delete_Article_group'),
    path('Operations/',operations_page, name="operations_page"), 
    path('MachineBundle',getMachineBundle,name="getMachinebundle"),
    path('AddMachineBundle',add_Machine_Bundle,name="add_Machine_Bundle"),
    path('GetGroup/',getgroupbundle,name="getgroupbundle"),
    path('getStep/',getStepsbyGroup,name="getStepsbyGroup"),
    path('MachineOperator/',mOperator_page, name="mOperator_page"),
   
    path('skill/',skill_page, name="skill_page"),
    path('Addskill/',Add_skill, name="Add_skill"),
    path('Editskill/<str:id>',Edit_skill, name="Edit_skill"),
    path('deleteskill/<str:id>', delete_skill,name='delete_skill'),

    path('StepBundle/',getStepBundle, name="getStepBundle"),
    
    # path('AddOperations/',Add_Operation, name="Add_Operation"), 
    
]
